Get contracts summary
curl --request GET \
--url https://api.mainnet.aptoslabs.com/decibel/api/v1/contracts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mainnet.aptoslabs.com/decibel/api/v1/contracts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mainnet.aptoslabs.com/decibel/api/v1/contracts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contracts": [
{
"base_currency": "<string>",
"base_volume": "<string>",
"contract_index": 1,
"end_timestamp": "<string>",
"funding_rate": "<string>",
"high": "<string>",
"index_currency": "<string>",
"index_price": "<string>",
"last_price": "<string>",
"low": "<string>",
"next_funding_rate": "<string>",
"next_funding_rate_timestamp": "<string>",
"open_interest": "<string>",
"open_interest_usd": "<string>",
"product_type": "<string>",
"start_timestamp": "<string>",
"target_currency": "<string>",
"target_volume": "<string>",
"ticker_id": "<string>"
}
]
}Market Data
Get contracts summary
Returns a summary of all perpetual contracts traded on the exchange,
GET
/
api
/
v1
/
contracts
Get contracts summary
Authorizations
Bearer token from Geomi. See Authentication for setup instructions.
Response
Contracts summary
Wrapper response matching the CoinGecko/CMC /contracts format.
Show child attributes
Show child attributes
⌘I

